# mb_http_output

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

mb_http_output — Set/Get HTTP output character encoding

### Description

mb_http_output ([ string `$encoding` = mb_http_output() ] ) : mixed

Set/Get the HTTP output character encoding. Output after this function is called will be converted from the set internal encoding to `encoding`.

### Parameters

`encoding`

  If `encoding` is set, mb_http_output() sets the HTTP output character encoding to `encoding`.

  If `encoding` is omitted, mb_http_output() returns the current HTTP output character encoding.

### Return Values

If `encoding` is omitted, mb_http_output() returns the current HTTP output character encoding. Otherwise, Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mb_internal_encoding() - Set/Get internal character encoding
- mb_http_input() - Detect HTTP input character encoding
- mb_detect_order() - Set/Get character encoding detection order